Join a webinar on April 30th: Unlocking Your Data using AI with Box Extract & MCP Server. Register here
curl -i -X DELETE "https://api.box.com/2.0/file_requests/42037322" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}Deletes a file request permanently.
curl -i -X DELETE "https://api.box.com/2.0/file_requests/42037322" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}The access token received from the authorization server in the OAuth 2.0 flow.
The unique identifier that represent a file request.
The ID for any file request can be determined by visiting a file request builder in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/filerequest/123 the file_request_id is 123.
Returns an empty response when the file request has been successfully deleted.
Was this page helpful?